com.r3corda.core.contracts / LinearState / ClauseVerifier

# ClauseVerifier

`class ClauseVerifier<S : LinearState> : ConcreteClause<ContractState, CommandData, Unit>`

Standard clause to verify the LinearState safety properties.

### Constructors

<init> | `ClauseVerifier(stateClass: Class<S>)` Standard clause to verify the LinearState safety properties.

### Properties

stateClass | `val stateClass: Class<S>`

### Inherited Properties

requiredCommands | `open val requiredCommands: Set<Class<out CommandData>>` Determine whether this clause runs or not

### Functions

verify | `fun verify(tx: TransactionForContract, inputs: List<ContractState>, outputs: List<ContractState>, commands: List<AuthenticatedObject<CommandData>>, groupingKey: Unit?): Set<CommandData>` Verify the transaction matches the conditions from this clause. For example, a "no zero amount output" clause would check each of the output states that it applies to, looking for a zero amount, and throw IllegalStateException if any matched.